create table if not exists hwp.watchlistpl (
    ident   varchar(32) not null primary key,
    description varchar,
    template jsonb
);

-- 
--  template:
--  {
--      "rowseparator": "[\n\r]+",  -- line separator as for re.split()
--      "colseparator": ",",        -- column separator
--      "validators": {             -- row validators
--          "positive": [],
--          "negative": []
--      },
--      "fields": {
--          "plate": {"format": "", "sub": [[],[]]}, -- format: as for str.format()
--          "class": {"format": "", "sub": [[],[]]}, -- sub: [regexp[],substite[]]
--          "color": {"format": "", "sub": [[],[]]},
--          "make":  {"format": "", "sub": [[],[]]},  
--          "model": {"format": "", "sub": [[],[]]}, 
--          "alarm": {"format": "", "sub": [[],[]]}, 
--          "memo":  {"format": "", "sub": [[],[]]} 
--      }
--      "meta": [
--          {   
--              "name": "",
--              "display": "",
--              "format": "",
--              "sub": [[],[]]
--          },
--      ]
--  }
-- 
