create table if not exists public.collection_event_origin
(
    id      uuid not null primary key, 
    name    varchar,
    origin  jsonb,
    param   jsonb
);

alter table public.collection_event_origin alter column id set storage plain;
alter table public.collection_event_origin alter column name set storage plain;


create table if not exists public.collection_event_lane
(
    origin  uuid not null,
    lane    varchar(128),
    meta    jsonb,
    primary key (origin,lane)
);

alter table public.collection_event_lane alter column origin set storage plain;
alter table public.collection_event_lane alter column lane set storage plain;


create table if not exists public.collection_event_profile
(
    doctype varchar(32) not null,
    id varchar(128) not null,
    name varchar,
    profile jsonb,
    primary key (doctype,id)
);

alter table public.collection_event_profile alter column doctype set storage plain;
alter table public.collection_event_profile alter column id set storage plain;
alter table public.collection_event_profile alter column name set storage plain;

