CREATE TABLE if not exists stringtable
(
  section character varying(32) NOT NULL,
  lang character varying(2) NOT NULL,
  key character varying NOT NULL,
  value text
);


DO $$
BEGIN
IF to_regclass('public.stringtable_key') IS NULL THEN
    CREATE UNIQUE INDEX stringtable_key ON public.stringtable USING btree 
    	(section COLLATE pg_catalog."default", lang COLLATE pg_catalog."default", key COLLATE pg_catalog."default");
END IF;
END$$;

