create or replace rule 
	r_hwp_watchlist_activate
as on update to hwp.watchlist
where old.active is distinct from new.active and new.active 
do also (
	insert into hwp.watchlistitems 
	    select 
            owner,
            ident,
            plate,
            class, 
            color,
            make,  
            model, 
            alarm, 
            memo,
            meta
        from only hwp.watchlistarchive where owner = new.owner and ident = new.ident;
    delete from only hwp.watchlistarchive where owner = new.owner and ident = new.ident;
);

create or replace rule 
	r_hwp_watchlist_deactivate
as on update to hwp.watchlist
where old.active is distinct from new.active and not new.active 
do also (
	insert into hwp.watchlistarchive
	    select 
            owner,
            ident,
            plate,
            class, 
            color,
            make,  
            model, 
            alarm, 
            memo,
            meta
        from only hwp.watchlistitems where owner = new.owner and ident = new.ident;
    delete from only hwp.watchlistitems where owner = new.owner and ident = new.ident;
);


