-- update script for X.X core patch XXXX


do language plpgsql
$_$
declare 
mymajor integer := 2;
myminor integer := 0;
mytiny  integer := 0;
mypatch integer := 3;
myrev   bigint  := 201511281800;
lastpatch integer;
begin

if not exists (select * from information_schema.columns where table_schema = 'core' and table_name = 'version' and column_name = 'patch') then return; end if;
select into lastpatch patch from core.version where module = 'core' and major = mymajor and minor = myminor and tiny = mytiny order by patch desc limit 1;
if found and lastpatch = mypatch - 1 then

-- BEGIN PATCH

alter table platear alter rect_left set data type float8;
alter table platear alter rect_top set data type float8;
alter table platear alter rect_right set data type float8;
alter table platear alter rect_bottom set data type float8;

drop function if exists lib.imageinfo ( bytea );
drop function if exists public.plate_proposition( timestamptz, uuid, integer, integer, text, integer, integer, integer, integer);

-- END PATCH

	insert into core.version (module,major,minor,tiny,patch,revision) values('core',mymajor,myminor,mytiny,mypatch,myrev);
end if;	
end;
$_$;

